/***************************************************************************
 * tabtrill.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2006-the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/
 
#ifndef TABTRILL_H
#define TABTRILL_H

class TabTrill
{
public:
	TabTrill();
	virtual ~TabTrill();
	
	virtual void clone(const TabTrill* trill);
	
	virtual void setFretTrill(char c);
	virtual char fretTrill() const;
	
	virtual void setPeriod(char c);
	virtual char period() const;
	
	virtual bool operator==(const TabTrill& trill) const;
	virtual bool operator!=(const TabTrill& trill) const;
	
private:
	char mFret;
	char mPeriod;
};

#endif

